Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0053283
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[POS2] Coreminorhave not tried2023-08-24 10:382023-09-04 09:57
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PriorityhighResolutionfixedFixed in Version23Q4
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0053283: Approval for Manager

DescriptionIt would be nice to support a new configuration option for the user action approvals to force managers to require approval also.

With this option it will be required approval to use the user action for the configured role but at the same time it provides privileges to approve other roles for that same user action.
Steps To Reproduce.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0053341 newTriage Platform Base Some messages in approval dialog are not completely seen in portrait mode 

-  Notes
(0153893)
hgbot (developer)
2023-08-24 10:39

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/merge_requests/1212 [^]
(0154389)
hgbot (developer)
2023-09-04 09:57

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/merge_requests/1212 [^]
(0154390)
hgbot (developer)
2023-09-04 09:57

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2 [^]
Changeset: c271f0f1599928e11ee86a08ac0d22cbc97942ee
Author: Carlos Aristu <carlos.aristu@openbravo.com>
Date: 04-09-2023 09:57:09
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/commit/c271f0f1599928e11ee86a08ac0d22cbc97942ee [^]

fixes FR-53283: Approval for Manager

---
A src-test/org/openbravo/core2/utility/CheckApprovalTest.java
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_MESSAGE.xml
M src-db/database/sourcedata/AD_REF_LIST.xml
M src-test/org/openbravo/core2/StandaloneTestSuite.java
M src/org/openbravo/core2/login/GrantedUserActionsProvider.java
M src/org/openbravo/core2/utility/CheckApproval.java
M web-jspack/org.openbravo.core2/src/components/ReasonAndApprovalDialog/__test__/ReasonAndApprovalDialog.test.jsx
M web-jspack/org.openbravo.core2/src/core/security/ApprovalChecker.js
M web-jspack/org.openbravo.core2/src/core/security/OfflineApprovals.js
M web-jspack/org.openbravo.core2/src/core/security/__mock__/userActionAccessMockData.js
M web-jspack/org.openbravo.core2/src/core/security/__test__/ApprovalChecker.test.js
M web-jspack/org.openbravo.core2/src/core/security/__test__/OfflineApprovals.test.js
M web-jspack/org.openbravo.core2/src/core/user-action/UserAction.js
M web-jspack/org.openbravo.core2/src/core/user-action/__test__/UserAction.test.js
---

- Issue History
Date Modified Username Field Change
2023-08-24 10:38 caristu New Issue
2023-08-24 10:38 caristu Assigned To => caristu
2023-08-24 10:38 caristu Triggers an Emergency Pack => No
2023-08-24 10:39 hgbot Note Added: 0153893
2023-08-31 08:04 caristu Relationship added related to 0053341
2023-09-04 09:57 hgbot Resolution open => fixed
2023-09-04 09:57 hgbot Status new => closed
2023-09-04 09:57 hgbot Note Added: 0154389
2023-09-04 09:57 hgbot Fixed in Version => 23Q4
2023-09-04 09:57 hgbot Note Added: 0154390


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker